libfuse

Data Fields
fuse_ctx Struct Reference

`#include <fuse_lowlevel.h>`

## Data Fields
uid_t | uid
gid_t | gid
pid_t | pid
mode_t | umask

## Detailed Description

Additional context associated with requests.

Note that the reported client uid, gid and pid may be zero in some situations. For example, if the FUSE file system is running in a PID or user namespace but then accessed from outside the namespace, there is no valid uid/pid/gid that could be reported.

Definition at line 112 of file fuse_lowlevel.h.

## Field Documentation

## ◆ gid

gid_t fuse_ctx::gid

Group ID of the calling process

Definition at line 117 of file fuse_lowlevel.h.

## ◆ pid

pid_t fuse_ctx::pid

Thread ID of the calling process

Definition at line 120 of file fuse_lowlevel.h.

## ◆ uid

uid_t fuse_ctx::uid

User ID of the calling process

Definition at line 114 of file fuse_lowlevel.h.

## ◆ umask

mode_t fuse_ctx::umask

Umask of the calling process

Definition at line 123 of file fuse_lowlevel.h.

The documentation for this struct was generated from the following files:

- fuse-3.17.1-rc0/include/fuse_lowlevel.h
- include/fuse_lowlevel.h